[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Whose bug(s)? tetex-base, tetex-extra, lilypond

On Mon, Dec 23, 2002 at 04:39:44PM +0100, J?rg Johannes wrote:
> I had a similar problem. I think some files moved from one to the other 
> package, and apt wants to replace the old files from files out of the 
> "wrong" package. It should work if you remove lilypond, then apt-get 
> upgrade and then reinstall lilypond after all the TeX stuff is done.
> However, this is most likely not a bug, it's just two packages a bit out 
> of sync and needing more communication between the maintainers.

This kind of thing is always a bug. If a file moves from one package to
another, the destination package needs a versioned Replaces: against the
original package. If the file is simply shared, then either it should be
removed from one of the two packages or the packages must conflict.

You should always make sure that a bug is filed when you encounter this
kind of thing. If I were you I wouldn't accept excuses from maintainers
about not supporting that particular type of upgrade, either; that tends
to be plain laziness. :)

Colin Watson                                  [cjwatson@flatline.org.uk]

Reply to: